/*
Copyright (C) 2011-2014 Baker

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
// sys_register.h -- tracks startup and shutdown


#ifndef __SYS_REGISTER_H__
#define __SYS_REGISTER_H__

typedef struct sysobj_s
{
// required public function, must be top
	__OBJ_REQUIRED__
} sysobj_t;


typedef struct sysreg_s
{
// required public function, must be top
	__OBJ_REQUIRED__

// public functions

	void *(*ObjectRegister) (struct sysreg_s *me, sysobj_t *object);
	void *(*ObjectShutdown) (struct sysreg_s *me, sysobj_t *object);
	void  (*Report)			(struct sysreg_s *me);
//	int   (*StringCommand)	(struct sysreg_s *me, const char *s);

// public variables

// private members
	void*			_local;
} sysreg_t;

sysreg_t *SysReg_Instance (void);

#endif // ! __SYS_REGISTER_H__



